Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2
Class StrutsTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.opensymphony.xwork2.XWorkTestCase
                  org.apache.struts2.StrutsTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  StrutsSpringTestCase

    public abstract class StrutsTestCase

extends com.opensymphony.xwork2.XWorkTestCase

Base test case for JUnit testing Struts.

Field Summary
`protected Dispatcher` | `dispatcher`
`protected Map<String,String>` | `dispatcherInitParams`
`protected org.springframework.mock.web.MockPageContext` | `pageContext`
`protected org.springframework.mock.web.MockHttpServletRequest` | `request`
`protected org.springframework.core.io.DefaultResourceLoader` | `resourceLoader`
`protected org.springframework.mock.web.MockHttpServletResponse` | `response`
`protected org.springframework.mock.web.MockServletContext` | `servletContext`

Fields inherited from class com.opensymphony.xwork2.XWorkTestCase
`actionProxyFactory, configuration, configurationManager, container`

Constructor Summary
`StrutsTestCase()`

Method Summary
`protected void` | `applyAdditionalParams(com.opensymphony.xwork2.ActionContext context)` Can be overwritten in subclass to provide additional context's params and settings used during action invocation
`protected String` | `executeAction(String uri)` Executes an action and returns it's output (not the result returned from execute()), but the actual output that would be written to the response.
`protected Object` | `findValueAfterExecute(String key)` gets an object from the stack after an action is executed
`protected ActionMapping` | `getActionMapping(javax.servlet.http.HttpServletRequest request)` Finds an ActionMapping for a given request
`protected ActionMapping` | `getActionMapping(String url)` Finds an ActionMapping for a given url
`protected com.opensymphony.xwork2.ActionProxy` | `getActionProxy(String uri)` Creates an action proxy for a request, and sets parameters of the ActionInvocation to the passed parameters.
`protected void` | `initActionContext(com.opensymphony.xwork2.ActionContext actionContext)`
`protected Dispatcher` | `initDispatcher(Map<String,String> params)`
`protected void` | `initServletMockObjects()`
`protected void` | `initSession(com.opensymphony.xwork2.ActionContext actionContext)`
`protected void` | `injectStrutsDependencies(Object object)` Injects dependencies on an Object using Struts internal IoC container
`protected void` | `setUp()` Sets up the configuration settings, XWork configuration, and message resources
`protected void` | `setupAfterInitDispatcher(Dispatcher dispatcher)`
`protected void` | `setupBeforeInitDispatcher()`
`protected void` | `tearDown()`

Methods inherited from class com.opensymphony.xwork2.XWorkTestCase
`loadButAdd, loadButAdd, loadConfigurationProviders`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### response

    protected org.springframework.mock.web.MockHttpServletResponse response

### request

    protected org.springframework.mock.web.MockHttpServletRequest request

### pageContext

    protected org.springframework.mock.web.MockPageContext pageContext

### servletContext

    protected org.springframework.mock.web.MockServletContext servletContext

### dispatcherInitParams

    protected Map<String,String> dispatcherInitParams

### dispatcher

    protected Dispatcher dispatcher

### resourceLoader

    protected org.springframework.core.io.DefaultResourceLoader resourceLoader

Constructor Detail

### StrutsTestCase

    public StrutsTestCase()

Method Detail

### findValueAfterExecute

    protected Object findValueAfterExecute(String key)

  gets an object from the stack after an action is executed

### executeAction

    protected String executeAction(String uri)
                            throws javax.servlet.ServletException,
                                   UnsupportedEncodingException

  Executes an action and returns it's output (not the result returned from execute()), but the actual output that would be written to the response. For this to work the configured result for the action needs to be FreeMarker, or Velocity (JSPs can be used with the Embedded JSP plugin)

  Throws:
    `javax.servlet.ServletException`
    `UnsupportedEncodingException`

### getActionProxy

    protected com.opensymphony.xwork2.ActionProxy getActionProxy(String uri)

  Creates an action proxy for a request, and sets parameters of the ActionInvocation to the passed parameters. Make sure to set the request parameters in the protected "request" object before calling this method.

### initActionContext

    protected void initActionContext(com.opensymphony.xwork2.ActionContext actionContext)

### initSession

    protected void initSession(com.opensymphony.xwork2.ActionContext actionContext)

### applyAdditionalParams

    protected void applyAdditionalParams(com.opensymphony.xwork2.ActionContext context)

  Can be overwritten in subclass to provide additional context's params and settings used during action invocation

  Parameters:
    `context` - current `ActionContext`

### getActionMapping

    protected ActionMapping getActionMapping(javax.servlet.http.HttpServletRequest request)

  Finds an ActionMapping for a given request

### getActionMapping

    protected ActionMapping getActionMapping(String url)

  Finds an ActionMapping for a given url

### injectStrutsDependencies

    protected void injectStrutsDependencies(Object object)

  Injects dependencies on an Object using Struts internal IoC container

### setUp

    protected void setUp()
                  throws Exception

  Sets up the configuration settings, XWork configuration, and message resources

  Overrides:
    `setUp` in class `com.opensymphony.xwork2.XWorkTestCase`
  Throws:
    `Exception`

### setupBeforeInitDispatcher

    protected void setupBeforeInitDispatcher()
                                      throws Exception

  Throws:
    `Exception`

### setupAfterInitDispatcher

    protected void setupAfterInitDispatcher(Dispatcher dispatcher)

### initServletMockObjects

    protected void initServletMockObjects()

### initDispatcher

    protected Dispatcher initDispatcher(Map<String,String> params)

### tearDown

    protected void tearDown()
                     throws Exception

  Overrides:
    `tearDown` in class `com.opensymphony.xwork2.XWorkTestCase`
  Throws:
    `Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.